mac系统安装laravel框架问题

cuixi
  • 72

mac本身自带一个php5.42,我装了个mamp用的php5.49,自带的php没mcrypt扩展,mamp有这个扩展,但安装laravel时候可能总是使用mac系统默认的php终端命令,因为没这个扩展导致安装失败,我想用使命令行的php命令使用mamp的那个有扩展的php版本,请问怎么做啊,擦了哦。

回复
阅读 10.5k
5 个回答

把 /usr/local/bin/php 重命名为php.old,将mamp的 php/bin/php 软链接过去即可。

安装laravel时会调用php-cli,采用PHP脚本方式安装。

我采用的是 brew 全局安装的模式,你可以尝试一下。

下载php5.4的源码,自己编译个mcrypt加上去呗?貌似google下会找到好多答案

不过我的做法是没有理睬系统的php,homebrew重新安装了个php5.5,这里有详细的折腾步骤

你知道吗?

宣传栏